Bug 1287252 - openstack-ceilometer-alarm-notifier does not start: unit file is missing
openstack-ceilometer-alarm-notifier does not start: unit file is missing
Status: CLOSED EOL
Product: RDO
Classification: Community
Component: openstack-ceilometer (Show other bugs)
Liberty
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Liberty
Assigned To: Eoghan Glynn
Sasha Smolyak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-01 15:13 EST by David Moreau Simard
Modified: 2017-07-05 09:33 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-05 09:33:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Moreau Simard 2015-12-01 15:13:37 EST
openstack-ceilometer-alarm-notifier does not start right now off of a fresh Liberty Delorean Current installation through Packstack.

Failing job:
https://prod-rdojenkins.rhcloud.com/view/RDO-Liberty-Trunk/job/khaleesi-pipeline-rdo-liberty-delorean-centos-7.0-packstack-all-in-one-neutron-ml2-vxlan-rabbitmq-enforcing-tempest-minimal/147/console

Error log:
13:59:19 ERROR : Error appeared during Puppet run: 172.16.0.137_ceilometer.pp
13:59:19 Error: Could not start Service[ceilometer-alarm-notifier]: Execution of '/usr/bin/systemctl start openstack-ceilometer-alarm-notifier' returned 6: Failed to issue method call: Unit openstack-ceilometer-alarm-notifier.service failed to load: No such file or directory.
13:59:19 You will find full trace in log /var/tmp/packstack/20151201-182002-vn29TL/manifests/172.16.0.137_ceilometer.pp.log

It looks like this service has been removed in master branch:
https://github.com/openstack-packages/ceilometer/commit/18968d7533876dc737eed92bad8bd8a3e0ca7246

Did this somehow make it into the Liberty package ?
Comment 1 Javier Peña 2015-12-02 04:12:27 EST
This was caused by the openstach-aodh-compat package. Since commit https://github.com/openstack-packages/aodh/commit/65e47d31d65ce48e19d0e7904d651c039e89c28f , it is obsoleting openstack-ceilometer-alarm, so it gets installed instead.

This change was supposed to be Mitaka-only, but an rpm-liberty branch was not created. I'm fixing this now, will update when the package update is done.
Comment 2 Javier Peña 2015-12-02 04:19:08 EST
The centos-liberty repo is now fixed. Could you check that everything is ok?
Comment 3 David Moreau Simard 2015-12-02 09:31:55 EST
I've had a successful build now, this resolved the issue. Thanks.

So aodh did not have a liberty branch and we had the mitaka package in liberty ?
Comment 4 Emilien Macchi 2015-12-02 09:34:39 EST
Aodh is replacing ceilometer alarm components in Liberty. I don't know why you try to run openstack-ceilometer-alarm-notifier ? You should rather try to run openstack-aodh-notifier.
Comment 5 David Moreau Simard 2015-12-02 09:36:52 EST
@Emilien thanks. It comes from here: https://github.com/openstack/packstack/blob/master/packstack/puppet/templates/ceilometer.pp#L47

I will see with the Packstack maintainers if we should file a bug about that.
Comment 6 David Moreau Simard 2015-12-02 09:42:14 EST
Just following up on my previous comment, there is already a review up for Aodh integration in Packstack: https://review.openstack.org/#/c/251988/
Comment 7 Javier Peña 2015-12-02 12:53:33 EST
I'm confused about the situation in Liberty. From other sources, the information I'm receiving is that we are keeping ceilometer-alarm in Liberty and moving to aodh in Mitaka. @Eoghan could you clarify?

In any case, the Packstack change to add support to Aodh is being reviewed, so it would only be a matter of cherry-picking it into the Liberty branch.
Comment 8 Pradeep Kilambi 2015-12-14 15:43:40 EST
For Liberty, ceilometer-alarm is deprecated in favor of openstack-aodh. If someone prefers to stick with ceilometer-alarm for Liberty they can or upgrade to Aodh which is recommended. Starting Mitaka, Aodh is enforced and should be used fro alarms.
Comment 9 Mike McCune 2016-03-28 18:33:16 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Note You need to log in before you can comment on or make changes to this bug.